import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-f3ebe998.js';
export { dD as ArgumentsType, cv as AsyncMutex, cQ as AsyncReturnType, _ as BinInput, d as CRYPTO_DEFAULT_ALG, e as CRYPTO_DEFAULT_DERIVE_ALG, f as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, db as Channel, da as ChannelMessageEvent, dq as CryptoEncoder, ay as DAY_MS, aV as Day, aA as DayInput, aU as DayInputLegacy, az as DayValue, a$ as DecimalInput, a_ as DecimalValue, dh as DefaultListener, cl as Disposable, ck as Disposer, cj as DisposerFunction, di as Emitter, df as EmitterAllHandler, de as EmitterHandler, dm as Encoder, bo as FilterFunction, J as Json, dp as JsonEncoder, dg as ListenerSignature, dc as LocalChannel, a as LogHandler, L as LogHandlerOptions, c_ as LogLevel, c$ as LogLevelAlias, d0 as LogLevelAliasKey, b as LogLevelAliasType, d1 as LogMessage, cZ as Logger, d4 as LoggerConsoleHandler, d3 as LoggerContext, d2 as LoggerContextInterface, c as LoggerInterface, d9 as LoggerMemoryHandler, bp as MapperFunction, dZ as MemStorage, dY as MemStorageOptions, dt as Message, dr as MessageAction, dx as MessageDefinitions, dy as MessageHub, ds as MessageResult, dv as MessagesDefaultMethods, dw as MessagesMethods, du as MessagesOptions, cu as Mutex, e1 as NestedArray, dn as NoopEncoder, O as ObjectStorage, cE as Pool, cA as PoolTask, cC as PoolTaskEvents, cy as PoolTaskFn, cB as PoolTaskIdConflictResolution, cz as PoolTaskState, b9 as Primitive, dB as PubSub, dG as RPCFn, dF as RPCOptions, dH as RPCReturn, au as RenderMessagesOptions, dE as ReturnType, bN as RoundingMode, cT as SerialQueue, bY as SortableItem, cS as TaskEvents, cR as TaskFn, ae as Uint8ArrayToHexDump, ad as Uint8ArrayToJson, a2 as Uint8ArrayToString, cq as UseDefer, cn as UseDispose, ci as XRX, a0 as _decodeUtf8Polyfill, $ as _encodeUtf8Polyfill, M as arrayAvg, N as arrayBatches, y as arrayEmptyInPlace, w as arrayFilterInPlace, q as arrayFlatten, s as arrayIntersection, B as arrayIsEqual, H as arrayMax, I as arrayMin, o as arrayMinus, G as arrayRandomElement, u as arrayRemoveElement, v as arraySetElement, E as arrayShuffle, F as arrayShuffleForce, D as arrayShuffleInPlace, z as arraySorted, A as arraySortedNumbers, K as arraySum, t as arraySymmetricDifference, x as arrayToggleInPlace, p as arrayUnion, n as arrayUnique, bA as avg, by as between, cc as cloneJsonObject, cb as cloneObject, bJ as cmp, bI as composeOrderby, P as createArray, dd as createLocalChannelPair, cF as createPromise, dz as createPromiseProxy, l as csvParse, m as csvParseToObjects, k as csvStringify, aZ as dateStringToDays, aY as day, aD as dayDay, aT as dayDiff, aH as dayFromAny, aJ as dayFromDate, aK as dayFromDateGMT, aO as dayFromParts, aP as dayFromString, aM as dayFromTimestamp, aG as dayFromToday, aC as dayMonth, aQ as dayMonthStart, aS as dayOffset, aF as dayToDate, aI as dayToDateGMT, aE as dayToParts, aN as dayToString, aL as dayToTimestamp, aB as dayYear, aR as dayYearStart, cV as debounce, b0 as decimal, b3 as decimalCentsPart, b1 as decimalFromCents, b2 as decimalToCents, U as decodeBase16, R as decodeBase32, W as decodeBase58, Y as decodeBase62, j as decrypt, b4 as deepEqual, b6 as deepMerge, b5 as deepStripUndefinedInPlace, h as deriveKeyPbkdf2, dU as detect, g as digest, ca as empty, T as encodeBase16, Q as encodeBase32, V as encodeBase58, X as encodeBase62, c4 as encodeQuery, i as encrypt, b_ as endSortWeight, c6 as ensureKey, c7 as ensureKeyAsync, ab as equalBinary, b7 as escapeHTML, bM as escapeRegExp, Z as estimateSizeForBase, dL as fetchBasic, dM as fetchJson, dQ as fetchOptionsBasicAuth, dO as fetchOptionsFormURLEncoded, dP as fetchOptionsJson, dN as fetchText, ax as fixBrokenUth8String, aW as forEachDay, cf as forTimes, av as formatMessages, d$ as formatMilliseconds, a9 as fromBase64, aa as fromBase64String, ai as fromCamelCase, a6 as fromHex, dT as getGlobal, cW as getGlobalContext, dj as getGlobalEmitter, cY as getGlobalLogger, d5 as getNamespaceFilterString, dS as getNavigator, bt as getSecureRandom, bu as getSecureRandomIfPossible, d_ as getTimestamp, dR as getWindow, dJ as httpMethod, cH as immediate, bc as isArray, bi as isBoolean, dV as isBrowser, bP as isEven, bO as isHalf, bg as isInteger, cX as isLocalHost, bj as isNullOrUndefined, bf as isNumber, ba as isObject, bC as isPrime, bB as isPrimeRX, bb as isPrimitive, cO as isPromise, bd as isRecord, bh as isSafeInteger, be as isString, cL as isTimeout, bk as isUint8Array, a4 as joinToUint8Array, bn as jsonStringify, bm as jsonStringifySafe, bl as jsonStringifySorted, ac as jsonToUint8Array, c9 as last, dl as lazyListener, c2 as linkifyPlainText, bs as listDistinctUnion, br as listGroupBy, bq as listQuery, cd as memoize, ce as memoizeAsync, dk as messages, b$ as moveSortWeight, bG as objectIsEmpty, bE as objectMap, bF as objectMergeDisposable, dK as parseBasicAuth, e0 as parseDate, d7 as parseLogLevel, bH as parseOrderby, c5 as parseQuery, dW as platform, cP as promisify, en as qid, bv as randomBoolean, bx as randomFloat, bw as randomInt, r as randomUint8Array, ch as regExpEscape, cg as regExpString, aw as renderMessages, bR as roundDown, bU as roundHalfAwayFromZero, bV as roundHalfDown, bW as roundHalfEven, bT as roundHalfOdd, bX as roundHalfTowardsZero, bS as roundHalfUp, bQ as roundUp, bD as seededRandom, eh as setUuidDefaultEncoding, c8 as size, cG as sleep, c0 as sortedItems, bK as sortedOrderby, bZ as startSortWeight, aj as stringToBoolean, al as stringToFloat, ak as stringToInteger, a1 as stringToUInt8Array, ed as suid, ec as suidBytes, ef as suidBytesDate, ee as suidDate, bz as sum, cU as throttle, cJ as timeout, cI as timeoutReached, cK as timoutError, a7 as toBase64, a8 as toBase64Url, at as toBool, af as toCamelCase, ag as toCapitalize, ah as toCapitalizeWords, aq as toFloat, a5 as toHex, c3 as toHumanReadableUrl, ar as toInt, as as toString, a3 as toUint8Array, bL as toValidFilename, aX as today, cM as tryTimeout, em as uname, b8 as unescapeHTML, cx as useAsyncMutex, S as useBase, cp as useDefer, cm as useDispose, co as useDisposer, ct as useEventListener, dX as useExitHandler, cs as useInterval, d8 as useLevelFilter, dA as useMessageHub, cw as useMutex, d6 as useNamespaceFilter, cD as usePool, dC as usePubSub, dI as useRPC, c1 as useSorted, cr as useTimeout, ei as uuid, eg as uuid32bit, e6 as uuidB32, e3 as uuidB62, e2 as uuidBytes, ej as uuidDecode, e8 as uuidDecodeB32, e5 as uuidDecodeB62, eb as uuidDecodeV4, ek as uuidEncode, e7 as uuidEncodeB32, e4 as uuidEncodeB62, ea as uuidEncodeV4, el as uuidIsValid, e9 as uuidv4, am as valueToBoolean, ao as valueToFloat, an as valueToInteger, ap as valueToString, cN as waitOn } from './uuid-f3ebe998.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
